Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QMoveEvent Class Reference

The QMoveEvent class contains event parameters for move events. More...

     #include <QMoveEvent>

Inherits: QEvent.

- List of all members, including inherited members

## Public Functions

| QMoveEvent ( const QPoint & pos, const QPoint & oldPos )
const QPoint & | oldPos () const
const QPoint & | pos () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QMoveEvent class contains event parameters for move events.

Move events are sent to widgets that have been moved to a new position relative to their parent.

The event handler QWidget::moveEvent() receives move events.

See also QWidget::move() and QWidget::setGeometry().

## Member Function Documentation

### QMoveEvent::QMoveEvent ( const QPoint & pos, const QPoint & oldPos )

Constructs a move event with the new and old widget positions, pos and oldPos respectively.

### const QPoint & QMoveEvent::oldPos () const

Returns the old position of the widget.

### const QPoint & QMoveEvent::pos () const

Returns the new position of the widget. This excludes the window frame for top level widgets.